curl -X PUT https://sandbox.layerfi.com/v1/configure/plaid \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"client_id":"CLIENT_ID",
"secret":"CLIENT_SECRET",
"plaid_env_url_override": "SANDBOX"
}'
{
"data":{
"type":"Plaid_Configuration",
"client_id":"6488fafd7a73ae00122004d6",
"secret_last_4":"acae",
"plaid_env_url_override": "SANDBOX"
}
}
Plaid
Set Plaid Credentials
Sets Plaid credentials to be used with your Layer account.
PUT
/
v1
/
configure
/
plaid
curl -X PUT https://sandbox.layerfi.com/v1/configure/plaid \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"client_id":"CLIENT_ID",
"secret":"CLIENT_SECRET",
"plaid_env_url_override": "SANDBOX"
}'
{
"data":{
"type":"Plaid_Configuration",
"client_id":"6488fafd7a73ae00122004d6",
"secret_last_4":"acae",
"plaid_env_url_override": "SANDBOX"
}
}
Body
string
required
Plaid ID, visible on https://dashboard.plaid.com/developers/keys
string
required
Plaid secret.
string
required
Plaid environment to use- either SANDBOX (which corresponds to https://sandbox.plaid.com) or PRODUCTION (which corresponds to https://production.plaid.com).
If not specified, defaults to PRODUCTION.
Response
Returns the created Plaid Configuration Objectcurl -X PUT https://sandbox.layerfi.com/v1/configure/plaid \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"client_id":"CLIENT_ID",
"secret":"CLIENT_SECRET",
"plaid_env_url_override": "SANDBOX"
}'
{
"data":{
"type":"Plaid_Configuration",
"client_id":"6488fafd7a73ae00122004d6",
"secret_last_4":"acae",
"plaid_env_url_override": "SANDBOX"
}
}